#ifndef _TK_LIST_OPTION_H_
#define _TK_LIST_OPTION_H_

#include "tk_baseoption.h"

#include <list>
#include <string>

using namespace std;

class TkListOption:public TkBaseOption,public list<string>
{
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new TkListOption();
	}

	static const char* type;
	const char* getType() const;

	TkListOption();
	TkListOption(const char* values[]);
	TkListOption(const list<string>& values);

	const string& toString() const;
	void fromObject(Tcl_Obj* object);
};

#endif/*_TK_LIST_OPTION_H_*/
